Index: src/edu/ucsb/nceas/metacat/restservice/D1ResourceHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/restservice/D1ResourceHandler.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/restservice/D1ResourceHandler.java	(revision 8810)
@@ -23,8 +23,6 @@
 package edu.ucsb.nceas.metacat.restservice;
 
 import java.io.File;
-import java.io.FileInputStream;
-import java.io.FileNotFoundException;
 import java.io.IOException;
 import java.io.InputStream;
 import java.io.OutputStream;
@@ -41,7 +39,6 @@
 import javax.servlet.ServletContext;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
-import javax.xml.parsers.ParserConfigurationException;
 
 import org.apache.commons.fileupload.FileUploadException;
 import org.apache.commons.io.IOUtils;
@@ -53,19 +50,11 @@
 import org.dataone.service.exceptions.BaseException;
 import org.dataone.service.exceptions.InvalidRequest;
 import org.dataone.service.exceptions.ServiceFailure;
-import org.dataone.service.types.v1.AccessPolicy;
 import org.dataone.service.types.v1.Group;
 import org.dataone.service.types.v1.Person;
-import org.dataone.service.types.v1.Replica;
-import org.dataone.service.types.v1.ReplicationPolicy;
 import org.dataone.service.types.v1.Session;
 import org.dataone.service.types.v1.Subject;
 import org.dataone.service.types.v1.SubjectInfo;
-import org.dataone.service.types.v1.SystemMetadata;
-import org.dataone.service.util.ExceptionHandler;
-import org.dataone.service.util.TypeMarshaller;
-import org.jibx.runtime.JiBXException;
-import org.xml.sax.SAXException;
 
 import edu.ucsb.nceas.metacat.MetacatHandler;
 import edu.ucsb.nceas.metacat.properties.PropertyService;
@@ -249,88 +238,6 @@
     }
 
     /**
-     * Parse the BaseException information for replication status failures if any
-     * 
-     * @return failure  the BaseException failure, one of it's subclasses, or null
-     * @throws ServiceFailure
-     * @throws InvalidRequest
-     * @throws JiBXException 
-     * @throws IllegalAccessException 
-     * @throws InstantiationException 
-     * @throws IOException 
-     */
-    protected BaseException collectReplicationStatus() 
-        throws ServiceFailure, InvalidRequest, IOException, 
-        InstantiationException, IllegalAccessException, JiBXException {
-        
-        BaseException failure = null;
-        File tmpDir = getTempDirectory();
-        MultipartRequest mr = null;
-        Map<String, File> mmFileParts = null;
-        File exceptionFile = null;
-        InputStream exceptionFileStream = null;
-
-        // Read the incoming data from its Mime Multipart encoding
-        logMetacat.debug("Parsing BaseException from the mime multipart entity");
-
-        // handle MMP inputs
-        MultipartRequestResolver mrr = 
-            new MultipartRequestResolver(tmpDir.getAbsolutePath(),1000000000, 0);
-
-        try {
-            mr = mrr.resolveMultipart(request);
-            logMetacat.debug("Resolved the replication status BaseException multipart request.");
-            
-        } catch (IOException e) {
-            throw new ServiceFailure("4700", "Couldn't resolve the multipart request: " +
-                e.getMessage());
-            
-        } catch (FileUploadException e) {
-            throw new ServiceFailure("4700", "Couldn't resolve the multipart request: " +
-                e.getMessage());
-            
-        } catch (Exception e) {
-            throw new ServiceFailure("4700", "Couldn't resolve the multipart request: " +
-                e.getMessage());
-            
-        }
-
-        // get the map of file parts
-        mmFileParts = mr.getMultipartFiles();
-        
-        if ( mmFileParts == null || mmFileParts.keySet() == null) {
-            logMetacat.debug("BaseException for setReplicationStatus is null");            
-        }
-        
-        multipartparams = mr.getMultipartParameters();
-        exceptionFile = mmFileParts.get("failure");
-        
-        if ( exceptionFile != null && exceptionFile.length() > 0 ) {
-            
-            // deserialize the BaseException subclass
-            exceptionFileStream = new FileInputStream(exceptionFile);
-            try {
-                failure = ExceptionHandler.deserializeXml(exceptionFileStream, 
-                    "Replication failed for an unknown reason.");
-                
-            } catch (ParserConfigurationException e) {
-                throw new ServiceFailure("4700", "Couldn't parse the replication failure exception: " +
-                        e.getMessage());
-                
-            } catch (SAXException e) {
-                throw new ServiceFailure("4700", "Couldn't traverse the replication failure exception: " +
-                        e.getMessage());
-                
-            }
-                
-        }
-        
-        
-        return failure;
-        
-    }
-
-    /**
      * Parse string parameters from the mime multipart entity of the request.
      * Populates the multipartparams map
      * 
@@ -359,306 +266,7 @@
                 
     }
     
-
     /**
-     * Parse the replication policy document out of the mime-multipart form data
-     * 
-     * @return policy  the encoded policy
-     * @throws ServiceFailure
-     * @throws InvalidRequest
-     * @throws IOException
-     * @throws InstantiationException
-     * @throws IllegalAccessException
-     * @throws JiBXException
-     */
-    protected ReplicationPolicy collectReplicationPolicy() 
-        throws ServiceFailure, InvalidRequest, IOException, InstantiationException, 
-        IllegalAccessException, JiBXException {
-        
-        ReplicationPolicy policy = null;
-        File tmpDir = getTempDirectory();
-        MultipartRequest mr = null;
-        Map<String, File> mmFileParts = null;
-        File replPolicyFile = null;
-        InputStream replPolicyStream = null;
-        
-        // Read the incoming data from its Mime Multipart encoding
-        logMetacat.debug("Parsing ReplicationPolicy from the mime multipart entity");
-
-        // handle MMP inputs
-        MultipartRequestResolver mrr = 
-            new MultipartRequestResolver(tmpDir.getAbsolutePath(),1000000000, 0);
-        
-        try {
-            mr = mrr.resolveMultipart(request);
-            logMetacat.debug("Resolved the ReplicationPolicy multipart request.");
-            
-        } catch (IOException e) {
-            throw new ServiceFailure("4882", "Couldn't resolve the multipart request: " +
-                e.getMessage());
-            
-        } catch (FileUploadException e) {
-            throw new ServiceFailure("4882", "Couldn't resolve the multipart request: " +
-                e.getMessage());
-            
-        } catch (Exception e) {
-            throw new ServiceFailure("4882", "Couldn't resolve the multipart request: " +
-                e.getMessage());
-            
-        }
-        
-        // get the map of file parts
-        mmFileParts = mr.getMultipartFiles();
-        
-        if ( mmFileParts == null || mmFileParts.keySet() == null) {
-            throw new InvalidRequest("4883", "The multipart request must include " +
-                "a file with the name 'policy'.");
-            
-        }
-        
-        multipartparams = mr.getMultipartParameters();
-        replPolicyFile = mmFileParts.get("policy");
-        
-        if ( replPolicyFile == null ) {
-            throw new InvalidRequest("4883", "The multipart request must include " +
-            "a file with the name 'policy'.");
-            
-        }
-        
-        
-        // deserialize the ReplicationPolicy
-        replPolicyStream = new FileInputStream(replPolicyFile);
-        policy = TypeMarshaller.unmarshalTypeFromStream(ReplicationPolicy.class, replPolicyStream);
-        
-        return policy;
-        
-    }
-
-    /**
-     * Parse the replica metadata document out of the mime-multipart form data
-     * 
-     * @return replica  the encoded replica
-     * @throws ServiceFailure
-     * @throws InvalidRequest
-     * @throws IOException
-     * @throws InstantiationException
-     * @throws IllegalAccessException
-     * @throws JiBXException
-     */
-    protected Replica collectReplicaMetadata() 
-        throws ServiceFailure, InvalidRequest {
-        
-        Replica replica = null;
-        File tmpDir = getTempDirectory();
-        MultipartRequest mr = null;
-        Map<String, File> mmFileParts = null;
-        File replicaFile = null;
-        InputStream replicaStream = null;
-        
-        // Read the incoming data from its Mime Multipart encoding
-        logMetacat.debug("Parsing Replica from the mime multipart entity");
-
-        // handle MMP inputs
-        MultipartRequestResolver mrr = 
-            new MultipartRequestResolver(tmpDir.getAbsolutePath(),1000000000, 0);
-        
-        try {
-            mr = mrr.resolveMultipart(request);
-            logMetacat.debug("Resolved the Replica multipart request.");
-            
-        } catch (IOException e) {
-            throw new ServiceFailure("4852", "Couldn't resolve the multipart request: " +
-                e.getMessage());
-            
-        } catch (FileUploadException e) {
-            throw new ServiceFailure("4852", "Couldn't resolve the multipart request: " +
-                    e.getMessage());
-            
-        } catch (Exception e) {
-            throw new ServiceFailure("4852", "Couldn't resolve the multipart request: " +
-                    e.getMessage());
-            
-        }
-        
-        // get the map of file parts
-        mmFileParts = mr.getMultipartFiles();
-        
-        if ( mmFileParts == null || mmFileParts.keySet() == null) {
-            throw new InvalidRequest("4853", "The multipart request must include " +
-                "a file with the name 'replicaMetadata'.");
-            
-        }
-        
-        multipartparams = mr.getMultipartParameters();
-        replicaFile = mmFileParts.get("replicaMetadata");
-        
-        if ( replicaFile == null ) {
-            throw new InvalidRequest("4853", "The multipart request must include " +
-            "a file with the name 'replicaMetadata'.");
-            
-        }
-        
-        
-        // deserialize the ReplicationPolicy
-        try {
-            replicaStream = new FileInputStream(replicaFile);
-        } catch (FileNotFoundException e) {
-            throw new ServiceFailure("4852", "Couldn't find the multipart file: " +
-                    e.getMessage());
-            
-        }
-        
-        try {
-            replica = TypeMarshaller.unmarshalTypeFromStream(Replica.class, replicaStream);
-        } catch (IOException e) {
-            throw new ServiceFailure("4852", "Couldn't deserialize the replica document: " +
-                    e.getMessage());
-            
-        } catch (InstantiationException e) {
-            throw new ServiceFailure("4852", "Couldn't deserialize the replica document: " +
-                    e.getMessage());
-            
-        } catch (IllegalAccessException e) {
-            throw new ServiceFailure("4852", "Couldn't deserialize the replica document: " +
-                    e.getMessage());
-            
-        } catch (JiBXException e) {
-            throw new ServiceFailure("4852", "Couldn't deserialize the replica document: " +
-                    e.getMessage());
-            
-        }
-        
-        return replica;
-        
-    }
-    
-    protected AccessPolicy collectAccessPolicy() 
-        throws IOException, ServiceFailure, InvalidRequest, JiBXException, 
-        InstantiationException, IllegalAccessException, ParserConfigurationException, 
-        SAXException  {
-		
-		// Read the incoming data from its Mime Multipart encoding
-		logMetacat.debug("Disassembling MIME multipart form");
-		InputStream ap = null;
-
-		// handle MMP inputs
-		File tmpDir = getTempDirectory();
-		logMetacat.debug("temp dir: " + tmpDir.getAbsolutePath());
-		MultipartRequestResolver mrr = 
-			new MultipartRequestResolver(tmpDir.getAbsolutePath(), 1000000000, 0);
-		MultipartRequest mr = null;
-		try {
-			mr = mrr.resolveMultipart(request);
-		} catch (Exception e) {
-			throw new ServiceFailure("2161", 
-					"Could not resolve multipart: " + e.getMessage());
-		}
-		logMetacat.debug("resolved multipart request");
-		Map<String, File> files = mr.getMultipartFiles();
-		if (files == null || files.keySet() == null) {
-			throw new InvalidRequest("2163",
-					"must have multipart file with name 'accessPolicy'");
-		}
-		logMetacat.debug("got multipart files");
-
-		multipartparams = mr.getMultipartParameters();
-
-		File apFile = files.get("accessPolicy");
-		if (apFile == null) {
-			throw new InvalidRequest("2163",
-					"Missing the required file-part 'accessPolicy' from the multipart request.");
-		}
-		logMetacat.debug("apFile: " + apFile.getAbsolutePath());
-		ap = new FileInputStream(apFile);
-	
-		AccessPolicy accessPolicy = TypeMarshaller.unmarshalTypeFromStream(AccessPolicy.class, ap);
-		return accessPolicy;
-	}
-    
-    protected SystemMetadata collectSystemMetadata() 
-        throws IOException, FileUploadException, ServiceFailure, InvalidRequest, 
-        JiBXException, InstantiationException, IllegalAccessException  {
-		
-		// Read the incoming data from its Mime Multipart encoding
-		logMetacat.debug("Disassembling MIME multipart form");
-		InputStream sysmeta = null;
-
-		// handle MMP inputs
-		File tmpDir = getTempDirectory();
-		logMetacat.debug("temp dir: " + tmpDir.getAbsolutePath());
-		MultipartRequestResolver mrr = 
-			new MultipartRequestResolver(tmpDir.getAbsolutePath(), 1000000000, 0);
-		MultipartRequest mr = null;
-		try {
-			mr = mrr.resolveMultipart(request);
-			
-		} catch (Exception e) {
-		  if ( logMetacat.isDebugEnabled() ) {
-		      e.printStackTrace();
-		      
-		  }
-			throw new ServiceFailure("1202", 
-					"Could not resolve multipart: " + e.getMessage());
-			
-		}
-		logMetacat.debug("resolved multipart request");
-		Map<String, File> files = mr.getMultipartFiles();
-		if (files == null) {
-			throw new ServiceFailure("1202",
-					"register meta must have multipart file with name 'sysmeta'");
-		}
-		logMetacat.debug("got multipart files");
-
-		if (files.keySet() == null) {
-			logMetacat.error("No file keys in MMP request.");
-			throw new ServiceFailure(
-					"1202",
-					"No file keys found in MMP.  "
-							+ "register meta must have multipart file with name 'sysmeta'");
-		}
-
-		// for logging purposes, dump out the key-value pairs that
-		// constitute the request
-		// 3 types exist: request params, multipart params, and
-		// multipart files
-		Iterator it = files.keySet().iterator();
-		logMetacat.debug("iterating through request parts: " + it);
-		while (it.hasNext()) {
-			String key = (String) it.next();
-			logMetacat.debug("files key: " + key);
-			logMetacat.debug("files value: " + files.get(key));
-		}
-
-		multipartparams = mr.getMultipartParameters();
-		it = multipartparams.keySet().iterator();
-		while (it.hasNext()) {
-			String key = (String) it.next();
-			logMetacat.debug("multipartparams key: " + key);
-			logMetacat.debug("multipartparams value: " + multipartparams.get(key));
-		}
-
-		it = params.keySet().iterator();
-		while (it.hasNext()) {
-			String key = (String) it.next();
-			logMetacat.debug("param key: " + key);
-			logMetacat.debug("param value: " + params.get(key));
-		}
-		logMetacat.debug("done iterating the request...");
-
-		File smFile = files.get("sysmeta");
-		if (smFile == null) {
-			throw new InvalidRequest("1102",
-					"Missing the required file-part 'sysmeta' from the multipart request.");
-		}
-		logMetacat.debug("smFile: " + smFile.getAbsolutePath());
-		sysmeta = new FileInputStream(smFile);
-	
-		logMetacat.debug("Commence creation...");
-		SystemMetadata systemMetadata = TypeMarshaller.unmarshalTypeFromStream(SystemMetadata.class, sysmeta);
-		return systemMetadata;
-	}
-    
-    /**
      * Process the MMP request that includes files for each param
      * @return map of param key and the temp file that contains the encoded information
      * @throws ServiceFailure
Index: src/edu/ucsb/nceas/metacat/EventLog.java
===================================================================
--- src/edu/ucsb/nceas/metacat/EventLog.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/EventLog.java	(revision 8810)
@@ -35,10 +35,10 @@
 import java.util.Vector;
 
 import org.apache.log4j.Logger;
+import org.dataone.service.types.v1.Identifier;
+import org.dataone.service.types.v2.Log;
+import org.dataone.service.types.v2.LogEntry;
 import org.dataone.service.types.v1.Event;
-import org.dataone.service.types.v1.Identifier;
-import org.dataone.service.types.v1.Log;
-import org.dataone.service.types.v1.LogEntry;
 import org.dataone.service.types.v1.NodeReference;
 import org.dataone.service.types.v1.Subject;
 import org.dataone.service.util.DateTimeMarshaller;
@@ -139,14 +139,13 @@
     	// update the search index for the event
         try {
         	
-        	Event d1Event = Event.convert(event);
-        	if (d1Event != null) {
+        	if (event != null) {
         		
-	        	String fieldName = d1Event.xmlValue() + "_count_i";
+	        	String fieldName = event + "_count_i";
 	        	int eventCount = 0;
 	        	
 	        	String docid = IdentifierManager.getInstance().getLocalId(pid.getValue());
-	        	Log eventLog = this.getD1Report(null, null, new String[] {docid}, d1Event, null, null, false, 0, 0);
+	        	Log eventLog = this.getD1Report(null, null, new String[] {docid}, event, null, null, false, 0, 0);
 	        	eventCount = eventLog.getTotal();
 	
 		        List<Object> values = new ArrayList<Object>();
@@ -371,7 +370,7 @@
     
     
     public Log getD1Report(String[] ipAddress, String[] principal, String[] docid,
-            Event event, Timestamp startDate, Timestamp endDate, boolean anonymous, Integer start, Integer count)
+            String event, Timestamp startDate, Timestamp endDate, boolean anonymous, Integer start, Integer count)
     {
         
         Log log = new Log();
@@ -459,8 +458,8 @@
             }
         	queryWhereClause.append("event in (");
     		queryWhereClause.append("?");
-    		String eventString = event.xmlValue();
-    		if (event.equals(Event.CREATE)) {
+    		String eventString = event;
+    		if (eventString.equals(Event.CREATE.xmlValue())) {
     			eventString = "insert";
     		}
     		paramValues.add(eventString);
@@ -467,26 +466,7 @@
         	queryWhereClause.append(") ");
             clauseAdded = true;
         }
-        else {
-	        if (clauseAdded) {
-	            queryWhereClause.append(" and ");
-	        }
-	    	queryWhereClause.append("event in (");
-	    	for (int i = 0; i < Event.values().length; i++) {
-	    		if (i > 0) {
-	        		queryWhereClause.append(", ");
-	    		}
-	    		queryWhereClause.append("?");
-	    		Event e = Event.values()[i];
-	    		String eventString = e.xmlValue();
-	    		if (e.equals(Event.CREATE)) {
-	    			eventString = "insert";
-	    		}
-	    		paramValues.add(eventString);
-	    	}
-	    	queryWhereClause.append(") ");
-	        clauseAdded = true;
-        }
+        
         if (startDate != null) {
             if (clauseAdded) {
                 queryWhereClause.append(" and ");
@@ -568,12 +548,7 @@
 					logEntry.setSubject(subject);
 					
 					String logEventString = rs.getString(6);
-					Event logEvent = Event.convert(logEventString );
-					if (logEvent == null) {
-						logMetacat.info("Skipping uknown DataONE Event type: " + logEventString);
-						continue;
-					}
-					logEntry.setEvent(logEvent);
+					logEntry.setEvent(logEventString);
 					logEntry.setDateLogged(rs.getTimestamp(7));
 					
 					logEntry.setNodeIdentifier(memberNode);
Index: src/edu/ucsb/nceas/metacat/MetacatHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetacatHandler.java	(revision 8809)
+++ src/edu/ucsb/nceas/metacat/MetacatHandler.java	(revision 8810)
@@ -78,7 +78,7 @@
 import org.dataone.service.types.v1.Event;
 import org.dataone.service.types.v1.Identifier;
 import org.dataone.service.types.v1.Session;
-import org.dataone.service.types.v1.SystemMetadata;
+import org.dataone.service.types.v2.SystemMetadata;
 import org.ecoinformatics.eml.EMLParser;
 
 import au.com.bytecode.opencsv.CSVWriter;
